std::conditional< bool, typename, typename > Struct Template Reference
Metaprogramming

## Public Types

typedef _Iftrue | type

## Detailed Description

### template<bool, typename, typename>
struct std::conditional< bool, typename, typename >

Define a member typedef `type` to one of two argument types.

Definition at line 77 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits